//
//  DetailView.m
//  Split
//
//  Created by NYU User on 12/19/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import "DetailView.h"

@implementation DetailView
@synthesize showToolbar;

- (id) initWithFrame: (CGRect) frame
{
	self = [super initWithFrame: frame];
	if (self) {
		// Initialization code
		// We don't yet know how big this DetailView is going to be--the
		// above frame argument is CGRectZero--so there's no point in
		// trying to pass a frame argument to the following methods.
		toolbar = [[UIToolbar alloc] initWithFrame: CGRectZero];
		toolbar.items = [NSArray array];

		webView = [[UIWebView alloc] initWithFrame: CGRectZero];
		webView.scalesPageToFit = YES;

		showToolbar = YES;
		[self addSubview: toolbar];
		[self addSubview: webView];
	}
	return self;
}


- (void) layoutSubviews
{
	// Place the webView below the toolbar.
	// By this time, self.bounds has a value that we can use.
	// If showToolbar is NO, the toolbar will be invisible.

	[toolbar sizeToFit];

	toolbar.frame = CGRectMake(
		self.bounds.origin.x,
		self.bounds.origin.y,
		self.bounds.size.width,
		showToolbar ? toolbar.bounds.size.height : 0
	);

	webView.frame = CGRectMake(
		self.bounds.origin.x,
		self.bounds.origin.y + toolbar.bounds.size.height,
		self.bounds.size.width,
		self.bounds.size.height - toolbar.bounds.size.height
	);
}

- (void) showBarButtonItem: (UIBarButtonItem *) barButtonItem
{
	NSMutableArray *items = [toolbar.items mutableCopy];

	if (barButtonItem) {
		[items insertObject: barButtonItem atIndex: 0];
	} else {
		[items removeObjectAtIndex: 0];
	}

	[toolbar setItems: items animated: YES];
}


- (void) loadURL: (NSURL *) url
{
	NSData *data = [NSData dataWithContentsOfURL: url];

	if (data == nil) {
		NSLog(@"could not load URL %@", url);
	} else {
		[webView loadData: data
			MIMEType: @"text/html"
			textEncodingName: @"NSUTF8StringEncoding"
			baseURL: url
		];
	}
}

/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void) drawRect: (CGRect) rect
{
	// Drawing code
}
*/

@end
