//
//  DetailViewController.m
//  Split
//
//  Created by NYU User on 12/14/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import "DetailViewController.h"
#import "DetailView.h"

@implementation DetailViewController

- (id) initWithNibName: (NSString *) nibNameOrNil bundle: (NSBundle *) nibBundleOrNil
{
	self = [super initWithNibName: nibNameOrNil bundle: nibBundleOrNil];
	if (self) {
		// Custom initialization
	}
	return self;
}

- (void) didReceiveMemoryWarning
{
	// Releases the view if it doesn't have a superview.
	[super didReceiveMemoryWarning];

	// Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void) loadView
{
	self.view = [[DetailView alloc] initWithFrame: CGRectZero];
}


- (void) visit: (NSString *) state
{
	//A Wikipedia URL has underscores instead of blanks.  For example, the URL of New York is
	NSString *string = [state stringByReplacingOccurrencesOfString: @" " withString: @"_"];

	string = [@"http://en.wikipedia.org/wiki/" stringByAppendingString: string];
	NSURL *url = [NSURL URLWithString: string];
	[(DetailView *)self.view loadURL: url];
}

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void) viewDidLoad
{
	[super viewDidLoad];
}
*/

- (void) viewDidUnload
{
	[super viewDidUnload];
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}

- (BOOL) shouldAutorotateToInterfaceOrientation: (UIInterfaceOrientation) interfaceOrientation
{
	// Return YES for supported orientations
	return YES;
}

#pragma mark - protocol UISplitViewControllerDelegate

- (void) splitViewController: (UISplitViewController *) svc
	willHideViewController: (UIViewController *) aViewController
	withBarButtonItem: (UIBarButtonItem *) barButtonItem
	forPopoverController: (UIPopoverController *) pc
{
	DetailView *detailView = (DetailView *)self.view;
	detailView.showToolbar = YES;
	barButtonItem.title = @"50 States";
	[detailView showBarButtonItem: barButtonItem];
}


- (void) splitViewController: (UISplitViewController *) svc
	willShowViewController: (UIViewController *) aViewController
	invalidatingBarButtonItem: (UIBarButtonItem *) button
{
	DetailView *detailView = (DetailView *)self.view;
	detailView.showToolbar = NO;
	[detailView showBarButtonItem: nil];	
}
@end
