//
//  MasterViewController.m
//  Split
//
//  Created by NYU User on 12/14/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import "MasterViewController.h"
#import "DetailViewController.h"

@implementation MasterViewController

- (id) initWithNibName: (NSString *) nibNameOrNil bundle: (NSBundle *) nibBundleOrNil
	detailViewController: (DetailViewController *) c
{
	self = [super initWithNibName: nibNameOrNil bundle: nibBundleOrNil];
	if (self) {
		// Custom initialization
		detailViewController = c;
		states = [NSArray arrayWithObjects:
			@"Alabama",
			@"Alaska",
			@"Arizona",
			@"Arkansas",
			@"California",
			@"Colorado",
			@"Connecticut",
			@"Delaware",
			@"Florida",
			@"Georgia",
			@"Hawaii",
			@"Idaho",
			@"Illinois",
			@"Indiana",
			@"Iowa",
			@"Kansas",
			@"Kentucky",
			@"Louisiana",
			@"Maine",
			@"Maryland",
			@"Massachusetts",
			@"Michigan",
			@"Minnesota",
			@"Mississippi",
			@"Missouri",
			@"Montana",
			@"Nebraska",
			@"Nevada",
			@"New Hampshire",
			@"New Jersey",
			@"New Mexico",
			@"New York",
			@"North Carolina",
			@"North Dakota",
			@"Ohio",
			@"Oklahoma",
			@"Oregon",
			@"Pennsylvania",
			@"Rhode Island",
			@"South Carolina",
			@"South Dakota",
			@"Tennessee",
			@"Texas",
			@"Utah",
			@"Vermont",
			@"Virginia",
			@"Washington",
			@"West Virginia",
			@"Wisconsin",
			@"Wyoming",
			nil
		];

		//New York State initally selected.
		first = [NSIndexPath indexPathForRow: 31 inSection: 0];
		[self tableView: self.tableView didSelectRowAtIndexPath: first];
	}
	return self;
}

- (void) didReceiveMemoryWarning
{
	// Releases the view if it doesn't have a superview.
	[super didReceiveMemoryWarning];

	// Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void) viewDidLoad
{
	[super viewDidLoad];

	// Uncomment the following line to preserve selection between presentations.
	// self.clearsSelectionOnViewWillAppear = NO;

	// Uncomment the following line to display an Edit button in the navigation bar for this view controller.
	// self.navigationItem.rightBarButtonItem = self.editButtonItem;
	
}


- (void) viewDidUnload
{
	[super viewDidUnload];
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


//Can't select a cell until the table view is about to appear.

- (void) viewWillAppear: (BOOL) animated
{
	[super viewWillAppear: animated];

	[self.tableView selectRowAtIndexPath: first
		animated: NO
		scrollPosition: UITableViewScrollPositionNone
	];
}


//Can't scroll until the table view has appeared.

- (void) viewDidAppear: (BOOL) animated
{
	[super viewDidAppear: animated];

	[self.tableView scrollToRowAtIndexPath: first
		atScrollPosition: UITableViewScrollPositionMiddle
		animated: YES
	];
}


- (void) viewWillDisappear: (BOOL) animated
{
	[super viewWillDisappear: animated];
}


- (void) viewDidDisappear: (BOOL) animated
{
	[super viewDidDisappear: animated];
}


- (BOOL) shouldAutorotateToInterfaceOrientation: (UIInterfaceOrientation) interfaceOrientation
{
	// Return YES for supported orientations
	//return (interfaceOrientation == UIInterfaceOrientationPortrait);
	return YES;
}

#pragma mark - Table view data source

- (NSInteger) numberOfSectionsInTableView: (UITableView *) tableView
{
	// Return the number of sections.
	return 1;
}

- (NSInteger) tableView: (UITableView *) tableView numberOfRowsInSection: (NSInteger) section
{
	NSAssert1(section == 0, @"section number %d must be 0.", section);
	// Return the number of rows in the section.
	return states.count;
}

- (UITableViewCell *) tableView: (UITableView *) tableView cellForRowAtIndexPath: (NSIndexPath *) indexPath
{
	static NSString *identifier = @"states";
	
	UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier: identifier];
	if (cell == nil) {
		cell = [[UITableViewCell alloc] initWithStyle: UITableViewCellStyleDefault reuseIdentifier: identifier];
	}
	
	// Configure the cell...
	cell.textLabel.text = [states objectAtIndex: indexPath.row];
	return cell;
}

#pragma mark - Table view delegate

- (void) tableView: (UITableView *) tableView didSelectRowAtIndexPath: (NSIndexPath *) indexPath
{
	[detailViewController visit: [states objectAtIndex: indexPath.row]];
}
@end
